Update a workflow task Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
PUT /api/v1/workflow/{workflow_uuid}/task/{workflowTask_uuid}

Path parameters

  • workflow_uuid string Required
  • workflowTask_uuid string Required
application/json

Body

  • name string

    The name of the task.

  • visible_to_clients boolean

    Denotes if the task is visible to clients.

  • priority string

    The priority of the workflow task. Possible values are: high, low and null.

    Value Description
    low Low
    medium Medium
    high High
    highest Highest

    Values are low, medium, high, or highest.

  • description string

    The extra description added to a task.

  • position integer

    The task positioning within the sub tasks or trigger tasks.

  • offset_due_at_by integer

    The number of days the due_at should be set when the workflow has been triggered.

  • task_status_uuid string

    The UUID of the task status to use as the default for new tasks created in this workflow.

  • participants array[string(uuid)]

    Account UUIDs to be assigned to the task.

  • parent_uuid string(uuid)

    The parent task. Apply this if you want the task to be one of a tasks sub-tasks.

  • trigger_uuid string(uuid)

    The task that will trigger this task to be created.

  • auto_assign_assigned_adviser boolean

    Denotes that when the workflow is run, should we assign the assigned adviser of the client as a participant of the task. Only works when a workflow is run on a client.

  • auto_assign_assigned_administrator boolean

    Denotes that when the workflow is run, should we assign the administrator of the client as a participant of the task. Only works when a workflow is run on a client.

  • auto_assign_assigned_paraplanner boolean

    Denotes that when the workflow is run, should we assign the assigned paraplanner of the client as a participant of the task. Only works when a workflow is run on a client.

  • auto_assign_clients boolean

    Denotes that when the workflow is run, should we assign the client as a participant of the task.

  • groups array[string(uuid)]

    UUIDs of groups that will be assigned when the task is created.

PUT /api/v1/workflow/{workflow_uuid}/task/{workflowTask_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/workflow/6ff8f7f6-1eb3-3525-be4a-3932c805afed/task/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Mortgage Review","visible_to_clients":true,"priority":"low","description":"We need to run through a mortgage review with Gareth, as he can probably find a better deal.","position":4,"offset_due_at_by":5,"task_status_uuid":"c0fe24cf-8d37-4ab6-9407-4b12413abb7c","participants":["418aa1c5-7b4f-4e07-99ce-2442b2d5a9d7","f932f519-85b3-43f6-af97-d10b419dad1f","79091797-4b0e-4f35-bc8f-abae4f29aa7a"],"parent_uuid":"8bb934ea-5b1f-4374-b7b9-e71b2c7925df","trigger_uuid":"97376561-c924-4b19-b491-2156814bfc7e","auto_assign_assigned_adviser":true,"auto_assign_assigned_administrator":true,"auto_assign_assigned_paraplanner":true,"auto_assign_clients":true,"groups":["90587606-ee1c-4cfe-95b4-c1b13e83ea9e","403d00dd-597b-41eb-9454-daa007baad6c","2e5d3fe5-28e9-408b-b1c3-7701d1f72f94"]}'
Request examples
{
  "name": "Mortgage Review",
  "visible_to_clients": true,
  "priority": "low",
  "description": "We need to run through a mortgage review with Gareth, as he can probably find a better deal.",
  "position": 4,
  "offset_due_at_by": 5,
  "task_status_uuid": "c0fe24cf-8d37-4ab6-9407-4b12413abb7c",
  "participants": [
    "418aa1c5-7b4f-4e07-99ce-2442b2d5a9d7",
    "f932f519-85b3-43f6-af97-d10b419dad1f",
    "79091797-4b0e-4f35-bc8f-abae4f29aa7a"
  ],
  "parent_uuid": "8bb934ea-5b1f-4374-b7b9-e71b2c7925df",
  "trigger_uuid": "97376561-c924-4b19-b491-2156814bfc7e",
  "auto_assign_assigned_adviser": true,
  "auto_assign_assigned_administrator": true,
  "auto_assign_assigned_paraplanner": true,
  "auto_assign_clients": true,
  "groups": [
    "90587606-ee1c-4cfe-95b4-c1b13e83ea9e",
    "403d00dd-597b-41eb-9454-daa007baad6c",
    "2e5d3fe5-28e9-408b-b1c3-7701d1f72f94"
  ]
}